Chapter 23. Diversos assuntos
Prev |  | Next

# Chapter 23. Diversos assuntos

## 1. OmegaT Modo Console

### Note

Somente para usuários avançados!

A finalidade do modo console (isto é, linha de comando) é permitir o uso do OmegaT como uma ferramenta de tradução em um ambiente de script. Ao iniciar no modo console, a interface gráfica do usuário não é carregada (assim, ele funcionará em qualquer console) e o projeto é traduzido automaticamente. Um exemplo seria um projeto de software, com a interface gráfica do usuário localizada em diversas línguas. Usando o modo console, pode-se gerar uma interface localizada como uma parte do processo de construção.

### 1.1. Pré-requisitos

Para iniciar, um projeto do OmegaT deve estar disponível. A localização é irrelevante, uma vez que, ao iniciar, deve ser especificado de forma explícita na linha de comando.

Se não utilizar as configurações padrão, serão necessários os arquivos de configurações correspondentes (`filters.conf` e `segmentation.conf`). Isto pode ser feito de duas formas:

- Rodar o OmegaT normalmente (com a interface gráfica de usuário) e definir as configurações. Se iniciar o OmegaT no modo console, serão usadas as mesmas definições que você configurou.

- Se não estiver conseguindo fazer o OmegaT funcionar normalmente (ambiente gráfico não disponível): copie os arquivos de configuração de outra instalação do OmegaT em outro computador para uma pasta específica. A localização não importa, pois você pode adicioná-la na linha de comando ao iniciar (veja abaixo). Os arquivos relevantes `filters.conf` e `segmentation.conf` estão na pasta base do usuário (p.ex. `C:\Documents and Settings\%User%\OmegaT` no Windows, `%user%/.omegat/` no Linux)

### 1.2. Iniciar o OmegaT no modo console

Para iniciar o OmegaT no modo console, parâmetros adicionais devem ser especificados ao iniciar O mais importante é `<project-dir>`, e com opção do `--config-dir=<config-dir>`. Exemplo:

`$> java -jar OmegaT.jar /path/to/project \`

`--config-dir=/path/to/config-files/ \`

`--mode=console-translate \`

`--source-pattern={regexp} \`

`--tag-validation=[block|warn]`

Explicação:

- `<project-dir>` comanda o OmegaT onde encontrar o projeto de tradução. Se encontrado, o OmegaT inicia no modo console e traduz o projeto determinado.

- `--config-dir=<config-dir>` permite que o OmegaT seja instruído sobre em qual pasta os arquivos de configuração estão armazenados. Se não for especificado, o OmegaT reverte para os valores predeterminados (a pasta OmegaT na pasta local do usuário, ou se não estiver disponível: no diretório de trabalho atual).

- `--mode=console-translate` OmegaT inicia em modo console e traduz o projeto determinado

- `--source-pattern={regexp}` Os arquivos a serem traduzidos podem ser especificados dessa forma. Aqui está um exemplo da expressão regular: `test\.html`

- `--tag-validation=[abort|warn]` Anular; o programa é abortado quando a verificação de tag encontra erros. Alerta; os erros são impressos mas o programa continua a trabalhar. Em todos os outros casos, a verificação de tag não é efetuada.

### 1.3. Opção Quiet

Um parâmetro extra na linha de comando específico para o modo console: `--quiet`. No modo quiet, a tela terá menos informações. Não serão exibidas as mensagens que geralmente aparecem na barra de status.

Uso: `java -jar OmegaT.jar /path/to/project --mode=console-translate --quiet`

### 1.4. Opção para verificação de tags

Um outro parâmetro extra na linha de comando específico para o modo console: `--tag-validation=[abort|warn]`. Quando esse parâmetro é adicionado, a verificação de tag é feita antes da tradução/alinhamento. Se o valor for `anular`, os erros de tag são exibidos e o programa é interrompido. Se o valor for `aviso`, os erros são exibidos mas o OmegaT continua a trabalhar.

Uso: `java -jar OmegaT.jar /path/to/project --mode=console-translate --tag-validation=abort`

## 2. Alinhador de propriedades Java automático

O OmegaT pode alinhar as propriedades Java no modo console. Se você tem os arquivos de propriedades de origem e de destino para os mesmos conteúdos no seu par de idiomas, esse procedimento criará um arquivo tmx correspondente para esses conteúdos. Uso:

`java -jar OmegaT.jar --mode=console-align /my-project-dir --alignDir=/translatedFiles/`

O`alignDir` deve conter uma tradução na língua de destino do projeto Por exemplo, se o projeto é EN->FR, o alignDir deve conter um pacote com final _fr. A tmx resultante é armazenada na pasta `omegat` com o nome `align.tmx`.

## 3. Definições de fontes

Nesta caixa de diálogo pode-se definir a fonte usada pelo OmegaT nas seguintes janelas:

- Janela principal doOmegaT (Editor, Visualizador de correspondências e Visualizador de glossário)

- Janela Busca

- Janela Verificação de tags

A caixa de diálogo pode ser acessada via Opções → Fonte... no menu principal. A caixa contém:

- Fonte: abra o campo suspenso para selecionar uma das fontes disponíveis em seu computador

- Tamanho: edite para alterar o tamanho da fonte

- Amostra de texto: campo para visualização prévia da fonte selecionada

Nota: Em alguns casos pode levar algum tempo para o OmegaT atualizar a exibição após a alteração das configurações de fonte. Especialmente no caso em que um arquivo grande com muitos segmentos é aberto no editor, e/ou um hardware lento é usado. Observe também que alguma fontes funcionam melhor com alguns pares de línguas do que com outros. Em particular, se você estiver traduzindo entre duas línguas com sistemas de alfabeto/escrita diferentes (como russo e japonês), selecione uma fonte que possa ser usada para ambas.

## 4. Evitar perda de dados

O OmegaT é um aplicativo estável. Entretanto, o usuário deve tomar as precauções contra perda de dados ao usar o OmegaT, como faz com qualquer outro aplicativo. Quando você traduz, o OmegaT guarda seu trabalho na memória de tradução `project_save.tmx` localizada na subpasta `/omegat` do projeto.

O OmegaT também faz o backup da memória de tradução no project_save.tmx.YEARMMDDHHNN.bak na mesma subpasta a cada vez que um projeto é aberto ou recarregado. AAAA são os 4 dígitos do ano, MM indica o mês, DD o dia do mês, HH e MM são horas e minutos quando a versão anterior da memória de tradução foi gravada.

Se você achar que perdeu os dados da tradução, siga o seguinte procedimento para restaurar o projeto à versão mais recente que foi gravada, em muitos casos não mais do que 10 minutos, ou então :

1. Feche o projeto

2. mude o nome do arquivo `project_save.tmx` (p.ex., para `project_save.tmx.temporary`)

3. Selecione a memória de tradução de backup onde podem estar os dados que você perdeu

4. mude o nome do projeto `project_save.tmx`

5. Abra o projeto

Para evitar a perda de dados importantes:

- Faça regularmente cópias do arquivo /omegat/project_save.tmx para mídia externa, como CD ou DVD.

- Até se familiarizar com o OmegaT, crie arquivos traduzidos em intervalos regulares e verifique que contenham a última versão da sua tradução.

- Preste atenção especial ao fazer modificações nos arquivos da pasta `/source` enquanto estiver no meio de um projeto. Se o arquivo fonte for modificado após o início da tradução, o OmegaT pode não localizar um segmento que já foi traduzido.

- Utilize estes textos de Ajuda para iniciar. Se tiver problemas, enviei uma mensagem para o grupo de usuários OmegaT . As mensagens podem ser enviadas no idioma que você se sentir mais à vontade.

Prev |  | Next
Chapter 22. Verificador ortográfico | Home | Appendix A. Línguas - lista de códigos ISO 639